Content Analytics with Enterprise Search Version 3.0 system requirements

Detailed system requirements


Abstract

This page provides detailed software and hardware requirements for IBM Content Analytics with Enterprise Search Version 3.0.

This page describes the minimum product level prerequisites that you need to install. Because other products frequently ship fixes, updates, and new releases, IBM Content Analytics with Enterprise Search (ICAwES) cannot be tested with every possible configuration. In general, you can install updates to supported product releases, such as fix packs, if the updates are compatible with later versions. Significant new product versions are not necessarily supported unless they are specified below.

Content

System requirements for IBM Content Analytics with Enterprise Search Version 3.0


Legend
Icon Description
Supported Supported
Δ Added or changed information since the last modification, or fix pack. This mark in the far left column indicates new or changed information in the row. This mark in a particular cell within a row further identifies a specific change within an existing row.
x86 Intel 32-bit processors, including IBM System x, and BladeCenter servers.
x86-64 64-bit AMD Opteron (AMD64) and Intel Xeon (EM64T) processors, including IBM System x and BladeCenter servers.
POWER IBM POWER-based processors, including IBM System p servers.
zSeries IBM System z.


Operating system

The following table specifies the operating system for any computer on which you install the server components for ICAwES. In a multiple server installation, all servers must run the same operating system.

Operating system (Required)
Hardware platform
Notes
x86
x86-64
POWER
zSeries
  AIX 6.1 (64-bit)
  • TL 6100-TL5 or later,
  • TL 6100-TL4-SP5 or later
  • TL 6100-TL3-SP5 or later
  • TL 6100-TL2-SP8 or later
Supported on POWER
Minimum: One 2-way pSeries computer.

Requires the IBM XL C++ for AIX, V10.1 runtime environment. To download, see the V10.1 download document.

To generate thumbnails, the libXm library is required.
Δ AIX 7.1
Supported on POWER
Minimum: One 2-way pSeries computer.

Requires the IBM XL C++ for AIX, V12.1 runtime environment. To download, see the V12.1download document. To avoid errors when you install ICAwES, see Unable to install ICAwES V3 on AIX with library xlC.aix61.rte version 12 installed.

To generate thumbnails, the libXm library is required.
Red Hat Enterprise Linux Advanced Server 5 (64-bit)
Supported on x86-64
Minimum: One computer with two or more 64-bit processors (AMD Opteron, 64-bit kernel support only, or Intel EM64T, 64-bit kernel support only).

High availability is not supported.

Requires the 32-bit compat-libstdc++ libraries. For details, see the list of required packages.
Red Hat Enterprise Linux Advanced Server 5.3 (64-bit)

Supported on zSeries
Supported only for fresh installations on a single server with two or more 64-bit processors.

The following features are not supported:
- High availability
- Thumbnail generation

Data source support is limited. See Supported data sources.

Requires the 32-bit compat-libstdc++ libraries. For details, see the list of required packages.
Red Hat Enterprise Linux Advanced Server 6 (64-bit)
Supported on x86-64
Supported only for fresh installations on a single server with two or more 64-bit processors.

High availability
is not supported.

Requires the 32-bit compat-libstdc++ libraries. For details, see the list of required packages.
Red Hat Enterprise Linux Advanced Server 6 (64-bit)
Supported on zSeries
Supported only for fresh installations on a single server with two or more 64-bit processors.

The following features are not supported:
- High availability
- Thumbnail generation

Data source support is limited. See Supported data sources.

Requires the 32-bit compat-libstdc++ libraries. For details, see the list of required packages.
Novell SUSE Linux Enterprise Server 10 (64-bit)
Supported on x86-64
Minimum: One computer with two or more 64-bit processors (AMD Opteron, 64-bit kernel support only, or Intel EM64T, 64-bit kernel support only).

High availability is not supported.

x86-64 systems require the 32-bit compat-libstdc++ libraries. For details, see the list of required packages.
Novell SUSE Linux Enterprise Server 11 (32-bit)
Supported on x86-64
Minimum: One computer with two or more 32-bit processors (Intel Pentium processor at 2GHz or faster, AMD Opteron, 32-bit kernel support only, or Intel EM64T, 32-bit kernel support only).

High availability is not supported.

x86-64 systems require the 32-bit compat-libstdc++ libraries. For details, see the list of required packages.
Novell SUSE Linux Enterprise Server 11 (64-bit)
Supported on x86-64
Minimum: One computer with two or more 64-bit processors (AMD Opteron, 64-bit kernel support only, or Intel EM64T, 64-bit kernel support only).

High availability is not supported.

Requires the 32-bit compat-libstdc++ libraries. For details, see the list of required packages.
Novell SUSE Linux Enterprise Server 11 for System z (64-bit)
Supported on zSeries
Supported only for fresh installations on a single server with two or more 64-bit processors.

The following features are not supported:
- High availability
- Thumbnail generation

Data source support is limited. See Supported data sources.

Requires the 32-bit compat-libstdc++ libraries. For details, see the list of required packages.
Microsoft Windows Server 2008 Enterprise with SP2 (64-bit)
Supported on x86-64
Minimum: One computer with two or more 64-bit processors (AMD Opteron, 64-bit kernel support only, or Intel EM64T, 64-bit kernel support only).
Microsoft Windows Server 2008 Standard with SP2 (64-bit)
Supported on x86-64
Minimum: One computer with two or more 64-bit processors (AMD Opteron, 64-bit kernel support only, or Intel EM64T, 64-bit kernel support only).
Microsoft Windows Server 2008 R2 Enterprise (64-bit)
Supported on x86-64
Minimum: One computer with two or more 64-bit processors (AMD Opteron, 64-bit kernel support only, or Intel EM64T, 64-bit kernel support only).
Microsoft Windows Server 2008 R2 Standard (64-bit)
Supported on x86-64
Minimum: One computer with two or more 64-bit processors (AMD Opteron, 64-bit kernel support only, or Intel EM64T, 64-bit kernel support only).
Microsoft Windows Server 2008 R2 Enterprise with SP1 (64-bit)
Supported on x86-64
Minimum: One computer with two or more 64-bit processors (AMD Opteron, 64-bit kernel support only, or Intel EM64T, 64-bit kernel support only).
Microsoft Windows Server 2008 R2 Standard with SP1 (64-bit)
Supported on x86-64
Minimum: One computer with two or more 64-bit processors (AMD Opteron, 64-bit kernel support only, or Intel EM64T, 64-bit kernel support only).

 

Required Linux packages:
The following 32-bit packages are required on Linux 64-bit systems:
- compat-libstdc++-33.i686
- libstdc++.i686
- zlib-devel.i686
- libXext.i686
- libXft.i686
- libXi.i686
- libXp.i686
- libXtst.i686

If you run Linux on an Intel system and you want to support the ability to generate thumbnails for certain types of documents in the search results, you must install the following library:
- libXm

If you run Linux on System z on an S/390 system, you must install the 390 versions of these libraries:
- libXft (libXft-2.1.13-4.1.el6.s390x)
- libXi (libXi-1.3-3.el6.s390x)
- libXtst (libXtst-1.0.99.2-3.el6.s390x)


Disk architecture and space requirements

Data storage archictecture: High speed local storage devices should be used. However, if network storage is preferred, then for performance and data integrity, use storage area network (SAN) that is not shared between ICAwES servers. If network storage must be shared between ICAwES servers to save storage space, the IBM General Parallel File System (GPFS) data storage architecture, although potentially slower, is also supported. The following issues can occur if you install the product on a network file system (NFS) architecture:

  • Data integrity issues. Data might not always be saved correctly because of occasional network errors.
  • Performance issues. NFS has network protocol overhead and latency is high. These issues can negatively affect performance, especially search performance.

Disk space:The following table specifies the minimum disk space required to install the ICAwES server software. The disk space requirements for running the system can vary and depend on the number of documents to be crawled, the types of data sources to be crawled, and how documents are parsed, analyzed, indexed, and queried. Disk space requirements are also influenced by how regularly you build and update indexes.

For a multiple server configuration, the space requirements affect the index server. The ES_NODE_ROOT directory requires the most disk space on your system.

Disk space (minimum)
Operating system
Notes
AIX
Linux
Win
5000 MB to install the ICAwES software
Supported on AIX
Supported  on Linux and Linux on System z
Supported on Windows
This is the minimum required to install the software. More space is needed to run the system.
If you use IBM InfoSphere BigInsights:

- At least 500 GB on the server where InfoSphere BigInsights and ICAwES are installed.

- At least 40 GB on each InfoSphere BigInsights slave server.
Supported on Linux
Supported on Linux 64-bit systems.

Memory

The RAM specifications in the following table reflect basic server requirements for an ICAwES system.

RAM (minimum)
Operating system
Notes
AIX
Linux
Win
4 GB, plus 4 GB paging space
Supported on AIX
Supported  on Linux and Linux on System z
Supported on Windows
Suitable for a small, entry-level solution (one document processor and up to 100 MB of data).
8 GB, plus 8 GB paging space
Supported on AIX
Supported  on Linux and Linux on System z
Supported on Windows
Suitable for a medium solution (two document processors and up to 1 GB of data).
16 GB, plus 16 GB paging space
Supported on AIX
Supported  on Linux and Linux on System z
Supported on Windows
Suitable for a large solution (four document processors and up to 10 GB of data).
If you use IBM InfoSphere BigInsights:

- At least 24 GB on the server where InfoSphere BigInsights and ICAwES are installed.

- At least 4 GB on each InfoSphere BigInsights slave server.
Supported on Linux
Supported on Linux 64-bit systems.

Processor

The CPU specifications in the following table reflect the minimum requirements for small, medium, and large installations. Actual system requirements depend on the number of active collections and your performance requirements.

Processor
Operating system
Notes
AIX
Linux
Win
1 or 2 processors per server
Supported on AIX
Supported  on Linux and Linux on System z
Supported on Windows
Suitable for a small, entry-level solution (one document processor and up to 100 MB of data).
2 or 4 processors per server
Supported on AIX
Supported  on Linux and Linux on System z
Supported on Windows
Suitable for a medium solution (two document processors and up to 1 GB of data).
At least 4 processors per server
Supported on AIX
Supported  on Linux and Linux on System z
Supported on Windows
Suitable for a large solution (four document processors and up to 10 GB of data).
If you use IBM InfoSphere BigInsights:
At least 4 processors on the server where InfoSphere BigInsights and ICAwES are installed.
Supported on Linux
Supported on Linux 64-bit systems.

Web application server

ICAwES requires one of the following web application servers to run the administration console, content analytics miner, and enterprise search applications. You must run all web applications on the embedded application server or run all web applications on WebSphere Application Server.

Web application server (required)
Operating system
Notes
AIX
Linux
Win
  Jetty 6.1.22 (32-bit or 64-bit)
Supported on AIX
Supported  on Linux and Linux on System z
Supported on Windows
By default, automatically installed by the ICAwES installation program.
WebSphere Application Server 7.0.0.3 or later, base edition (32-bit or 64-bit)
Supported on AIX
Supported  on Linux and Linux on System z
Supported on Windows
You must install Fix Pack 3 or later.

Requires IBM HTTP Server 7.0 and WebSphere Application Server 7.0 plug-ins.

The 32-bit level is not supported on Linux on System z.
WebSphere Application Server Network Deployment 7.0.0.3 or later (32-bit or 64-bit)

Horizontal clustering
The base release of ICAwES Version 3.0 does not support clustering. With Fix Pack 1, cluster deployment for horizontal clustering is supported, where each clustering node is also configured as a search server.

The decision to use the clustering mode of WebSphere Application Server Network Deployment must be specified when you install the base release of ICAwES Version 3.0 and cannot be changed when you install Fix Pack 1.
Supported on AIX
Supported  on Linux and Linux on System z
Supported on Windows
Requires IBM HTTP Server 7.0 and WebSphere Application Server 7.0 plug-ins.

The 32-bit level is not supported on Linux on System z.

Vertical clustering is not supported.
WebSphere Application Server 8.0 or later, base edition (32-bit or 64-bit)
Supported on AIX
Supported  on Linux and Linux on System z
Supported on Windows
Included in the product distribution package.

Requires IBM HTTP Server 8.0 and WebSphere Application Server 8.0 plug-ins, which are also included.

The 32-bit level is not supported on Linux on System z.
IBM WebSphere Application Server Network Deployment 8.0 (32-bit or 64-bit)
Supported on AIX
Supported  on Linux and Linux on System z
Supported on Windows
Requires ICAwES Version 3.0 Fix Pack 3.

LDAP server

When you use the embedded web application server, ICAwES can be configured to authenticate users that are managed by one of the following Lightweight Directory Access Protocol (LDAP) servers.

LDAP server
Operating system
Notes
AIX
Linux
Win
  Domino Enterprise Server 8.0.0, 8.0.1, 8.0.2, 8.5.0, 8.5.1
Supported on AIX
Supported  on Linux and Linux on System z
Supported on Windows
IBM Tivoli Directory Server 6.0, 6.1, 6.2, 6.3
Supported on AIX
Supported  on Linux and Linux on System z
Supported on Windows
Windows Active Directory 2008
Supported on AIX
Supported  on Linux and Linux on System z
Supported on Windows
Windows Active Directory 2008 R2
Supported on AIX
Supported  on Linux and Linux on System z
Supported on Windows

Web Browser

The following table specifies the browser software that you can use with the ICAwES administration console, content analytics miner, and enterprise search applications. A browser is not required to install the product when using the console installation method.
Specific requirements include:

  • You must enable JavaScript in your browser.
  • The applications are best viewed with a screen resolution of 1024 x 768 or higher.
  • Adobe Flash Player 10.2 or later is required for the content analytics miner.
  • To enable all information center functions, you must enable cookies and disable the blocking of pop-up windows.
Browser
Operating system
Notes
AIX
Linux
Win
  Microsoft Internet Explorer 8
Supported on Windows
Microsoft Internet Explorer 9
Supported on Windows
Mozilla Firefox 10 Extended Support Release
Supported  on Linux
Supported on Windows
Not supported on Linux on System z.
Mozilla Firefox 17 Extended Support Release
Supported  on Linux
Supported on Windows
Not supported on Linux on System z.

Requires ICAwES Version 3.0 Fix Pack 2.
Δ Mozilla Firefox 24 Extended Support Release
Supported  on Linux
Supported on Windows
Not supported on Linux on System z.

Requires ICAwES Version 3.0 Fix Pack 4.

Product integrations

You can enhance your content analytics system by integrating ICAwES with other products.

Integrated solution
Operating system
Notes
AIX
Linux
Win
  IBM Cognos Business Intelligence 10.1.1
Supported on AIX
Supported  on Linux and Linux on System z
Supported on Windows
Only supported with Oracle, Microsoft SQL Server, and DB2 databases.

Not supported with a Microsoft SQL 2005 database or an IBM Cognos Content Database (an instance of an Apache Derby database).
IBM Content Classification 8.7
Supported on AIX
Supported  on Linux
Supported on Windows
Not supported on Linux on System z.
IBM Content Classification 8.8
Supported on AIX
Supported  on Linux
Supported on Windows
Not supported on Linux for System z systems.

Requires ICAwES Version 3.0 Fix Pack 1.
IBM InfoSphere BigInsights Enterprise Edition 1.3

ICAwES must be installed on the same server where InfoSphere BigInsights is installed. In a distributed server configuration, install the master server on the InfoSphere BigInsights server.
Supported  on Linux
Supported on Linux 64-bit systems. Not supported on Linux for System z systems.

If you install Version 1.3 Fix Pack 1 or later, you must run the escrbi.sh script, which is provided with ICAwES Version 3.0 Fix Pack 1. For details about this script, see the release notes.

IBM InfoSphere BigInsights Enterprise Edition 1.4

ICAwES must be installed on the same server where InfoSphere BigInsights is installed. In a distributed server configuration, install the master server on the InfoSphere BigInsights server.
Supported  on Linux
Supported on Linux 64-bit systems. Not supported on Linux for System z systems.

Requires ICAwES Version 3.0 Fix Pack 1, and you must run the escrbi.sh script. For details about this script, see the release notes.
Δ IBM InfoSphere BigInsights Enterprise Edition 2.1

ICAwES must be installed on the same server where InfoSphere BigInsights is installed. In a distributed server configuration, install the master server on the InfoSphere BigInsights server.

When you install InfoSphere BigInsights V2.1 for use with ICAwES V3.0 Fix Pack 4, the following installation options are supported:
- Install Hadoop Distributed File System (HDFS)
- Use an existing shared directory space

The following options are not supported:
- Install General Parallel File System (GPFS)
- Use an existing General Parallel File System (GPFS)
Supported  on Linux
Supported on Linux 64-bit systems. Not supported on Linux for System z systems.

Requires ICAwES Version 3.0 Fix Pack 4, and you must run the escrbi.sh script. For details about this script, see the release notes.

Java environment

IBM Content Analytics with Enterprise Search includes the 32-bit and 64-bit versions of Java Virtual Machine (JVM) 1.6.

The following table specifies the requirements for compiling Java applications. The Java SDK is not required to install the product.

Before you can build Java applications, you must also install and configure Apache ANT, a Java-based build tool.

Java
Operating system
Notes
AIX
Linux
Win
  IBM Software Development Kit for Java 6.0, bundle SR10 (32-bit or 64-bit)
Supported on AIX
Supported  on Linux and Linux on System z
Supported on Windows
The 32-bit level is not supported on Linux on System z.
Apache ANT 1.7
Supported on AIX
Supported  on Linux and Linux on System z
Supported on Windows
See http://ant.apache.org/

User interface customization

You can use the following web development tools to create custom views for the miner application. You can create custom views by using only the Dojo Toolkit or by using a combination of the Dojo Toolkit and Adobe Flex components.

Web development tools
Operating system
Notes
AIX
Linux
Win
  IBM Dojo Toolkit 1.6.1
Supported on AIX
Supported  on Linux and Linux on System z
Supported on Windows
Adobe Flex Builder 4.5 or later (optional)
Supported on AIX
Supported  on Linux and Linux on System z
Supported on Windows

IBM Content Analytics Studio

IBM Content Analytics Studio (ICA Studio) is a technology that provides a full range of text analysis functions. You can use this technology to implement custom linguistic processing, such as generating processing engine archive (PEAR) files for custom annotators.

See the Content Analytics Studio Release Notes for installation instructions and usage guidelines.

IBM Content Analytics Studio
Operating system
Notes
AIX
Linux
Win
  Operating system
Supported on Windows
Supported on Windows 7, Intel 32-bit and 64-bit systems.


Change history

History Date Change
Release 3.0.0 May 2012 New
Release 3.0.0.1 August 2012 Fix Pack 1
Release 3.0.0.2 March 2013 Fix Pack 2
Release 3.0.0.3 August 2013 Fix Pack 3
Release 3.0.0.4 December 2013 Fix Pack 4

Related information

Information Center
IBM Software Support Lifecycle
IBM Software Support
Release Notes
Content Analytics Studio Release Notes

Rate this page:

(0 users)Average rating

Document information


More support for:

Watson Content Analytics

Software version:

3.0

Operating system(s):

AIX, Linux, Linux on System z, Windows

Reference #:

7023676

Modified date:

2014-06-10

Translate my page

Machine Translation

Content navigation